Email templates
List email templates
GET
Requires the email-template:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
query?stringtype?stringusedIn?stringsendable?booleanids?array<>limit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/email-template' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "name": "string", "slug": "string", "type": "html", "senderIdentityId": "string", "subject": "string", "preHeaderText": "string", "html": "string", "visualConfig": {}, "replyTo": "string", "bcc": "string", "variables": [ {} ], "compiledBundleVersion": 0, "currentVersionId": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" } ], "total": 0, "limit": 0, "offset": 0}Get an email template GET
`identifier` is the template's id or its slug. Requires the `email-template:read` scope.
Push a compiled template bundle POST
Uploads a compiled React Email bundle as the template's new content. This is what `mailcrate push` calls; `changed` in the response is `false` when the bundle was identical to the current one. Requires the `email-template:write` scope.